Intermittent testBackButtonInEditMode,testAboutHomeVisibility | | The HomePager is visible

RESOLVED WORKSFORME

Status

()

Firefox for Android
Testing
RESOLVED WORKSFORME
2 years ago
2 years ago

People

(Reporter: nigelb, Assigned: gbrown)

Tracking

({intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

2 years ago
https://treeherder.mozilla.org/logviewer.html#?job_id=6450515&repo=fx-team


 20:13:42     INFO -  TEST-PASS | testAboutHomeVisibility | The toolbar is not in the editing state -
 20:13:42     INFO -  TEST-PASS | testAboutHomeVisibility | Waiting for Toolbar to enter editing mode. -
 20:13:42     INFO -  TEST-PASS | testAboutHomeVisibility | Waiting for UrlEditText to be input method target. -
 20:13:42  WARNING -  TEST-UNEXPECTED-FAIL | testAboutHomeVisibility | The HomePager is visible -
 20:13:42     INFO -  0 ERROR Exception caught during test! - junit.framework.AssertionFailedError: TEST-UNEXPECTED-FAIL | testAboutHomeVisibility | The HomePager is visible -
 20:13:42     INFO -  	at junit.framework.Assert.fail(Assert.java:50)
 20:13:42     INFO -  	at org.mozilla.gecko.FennecMochitestAssert._logMochitestResult(FennecMochitestAssert.java:128)
 20:13:42     INFO -  	at org.mozilla.gecko.FennecMochitestAssert.ok(FennecMochitestAssert.java:150)
 20:13:42     INFO -  	at org.mozilla.gecko.tests.helpers.AssertionHelper.fAssertTrue(AssertionHelper.java:98)
 20:13:42     INFO -  	at org.mozilla.gecko.tests.components.AboutHomeComponent.assertVisible(AboutHomeComponent.java:83)
 20:13:42     INFO -  	at org.mozilla.gecko.tests.testAboutHomeVisibility.testAboutHomeVisibility(testAboutHomeVisibility.java:36)
 20:13:42     INFO -  	at java.lang.reflect.Method.invokeNative(Native Method)
 20:13:42     INFO -  	at java.lang.reflect.Method.invoke(Method.java:525)
 20:13:42     INFO -  	at android.test.InstrumentationTestCase.runMethod(InstrumentationTestCase.java:214)
 20:13:42     INFO -  	at android.test.InstrumentationTestCase.runTest(InstrumentationTestCase.java:199)
 20:13:42     INFO -  	at android.test.ActivityInstrumentationTestCase2.runTest(ActivityInstrumentationTestCase2.java:192)
 20:13:42     INFO -  	at org.mozilla.gecko.tests.BaseRobocopTest.runTest(BaseRobocopTest.java:188)
 20:13:42     INFO -  	at junit.framework.TestCase.runBare(TestCase.java:134)
 20:13:42     INFO -  	at junit.framework.TestResult$1.protect(TestResult.java:115)
 20:13:42     INFO -  	at junit.framework.TestResult.runProtected(TestResult.java:133)
 20:13:42     INFO -  	at junit.framework.TestResult.run(TestResult.java:118)
 20:13:42     INFO -  	at junit.framework.TestCase.run(TestCase.java:124)
 20:13:42     INFO -  	at android.test.AndroidTestRunner.runTest(AndroidTestRunner.java:191)
 20:13:42     INFO -  	at android.test.AndroidTestRunner.runTest(AndroidTestRunner.java:176)
 20:13:42     INFO -  	at android.test.InstrumentationTestRunner.onStart(InstrumentationTestRunner.java:554)
 20:13:42     INFO -  	at android.app.Instrumentation$InstrumentationThread.run(Instrumentation.java:1701)
 20:13:42  WARNING -  TEST-UNEXPECTED-FAIL | testAboutHomeVisibility | Exception caught - junit.framework.AssertionFailedError: TEST-UNEXPECTED-FAIL | testAboutHomeVisibility | The HomePager is visible -
 20:13:42     INFO -  TEST-OK | testAboutHomeVisibility | took 192790ms
 20:13:42     INFO -  TEST-START | Shutdown
 20:13:42     INFO -  Passed: 44
 20:13:42     INFO -  Failed: 2
 20:13:42     INFO -  Todo: 0
 20:13:42     INFO -  SimpleTest FINISHED
(Reporter)

Updated

2 years ago
Summary: Intermittent testAboutHomeVisibility | Exception caught - junit.framework.AssertionFailedError: TEST-UNEXPECTED-FAIL | testAboutHomeVisibility | The HomePager is visible → Intermittent testBackButtonInEditMode,testAboutHomeVisibility | Exception caught - junit.framework.AssertionFailedError: TEST-UNEXPECTED-FAIL | testAboutHomeVisibility | The HomePager is visible
(Reporter)

Updated

2 years ago
Summary: Intermittent testBackButtonInEditMode,testAboutHomeVisibility | Exception caught - junit.framework.AssertionFailedError: TEST-UNEXPECTED-FAIL | testAboutHomeVisibility | The HomePager is visible → Intermittent testBackButtonInEditMode,testAboutHomeVisibility | Exception caught - junit.framework.AssertionFailedError: TEST-UNEXPECTED-FAIL
Summary: Intermittent testBackButtonInEditMode,testAboutHomeVisibility | Exception caught - junit.framework.AssertionFailedError: TEST-UNEXPECTED-FAIL → Intermittent testBackButtonInEditMode,testAboutHomeVisibility | | The HomePager is visible

Comment 1

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* b2g-inbound: 3
* mozilla-central: 2
* mozilla-inbound: 1
* fx-team: 1

Platform breakdown:
* android-4-3-armv7-api11: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1237260&startday=2016-01-04&endday=2016-01-10&tree=all

Comment 2

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 2
* try: 1
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* android-4-3-armv7-api11: 3
* android-4-3-armv7-api15: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1237260&startday=2016-01-25&endday=2016-01-31&tree=all
(Assignee)

Comment 3

2 years ago
No failures in several months.
Assignee: nobody → gbrown
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.